Create an agent outcome rubric
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/agents/{agentId}/outcomes/rubrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Resolved on first contact",
"criteria_md": "The customer's issue was fully resolved in this conversation with no promise of a follow-up.\n"
}
EOFimport requests
url = "https://api.orbit.devotel.io/api/v1/agents/{agentId}/outcomes/rubrics"
payload = {
"name": "Resolved on first contact",
"criteria_md": "The customer's issue was fully resolved in this conversation with no promise of a follow-up.
"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Resolved on first contact',
criteria_md: 'The customer\'s issue was fully resolved in this conversation with no promise of a follow-up.\n'
})
};
fetch('https://api.orbit.devotel.io/api/v1/agents/{agentId}/outcomes/rubrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"agent_id": "<string>",
"scope": "<string>",
"name": "<string>",
"criteria_md": "<string>",
"evaluator_prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Agents
Create an agent outcome rubric
Create an outcome-scoring rubric on an agent: markdown success criteria_md that an LLM judge applies to grade conversations, an optional custom evaluator_prompt, and an optional scope. A maximum of 20 rubrics per agent is enforced. Requires the agents:write scope and an operator role (owner, admin, or developer).
POST
/
api
/
v1
/
agents
/
{agentId}
/
outcomes
/
rubrics
Create an agent outcome rubric
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Body
application/json
Display name for the rubric.
Required string length:
1 - 200Markdown success criteria the LLM judge grades against.
Required string length:
1 - 10000Optional custom judge system prompt. Omit (or pass "default") to use the built-in prompt.
Maximum string length:
8000Which conversations the rubric applies to. Defaults to agent.
Available options:
agent, inbox, voice, org ⌘I